## org.apache.mahout.classifier.df
Class Bagging

    java.lang.Object
      org.apache.mahout.classifier.df.Bagging

    public class Bagging

extends Object

Builds a tree using bagging

Constructor Summary
`Bagging(TreeBuilder treeBuilder, Data data)`

Method Summary
`Node` `build(Random rng)` Builds one tree

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bagging

    public Bagging(TreeBuilder treeBuilder,
                   Data data)

Method Detail

### build

    public Node build(Random rng)

  Builds one tree

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.